#include "iostream"
using namespace std;

int main(){
	int n, m;
	
	cin >> n >> m;
	
	int niz[n];
	
	for(int i=0;i<n;i++)
		cin >> niz[i];
	
	int res = 0;
		
	for(int i=0;i<m;i++){
		int a, b;
		
		cin >> a >> b;
		
		int minires = niz[a-1]+niz[b-1];
		
		int maska = minires >> 31;
		res += (minires^maska) - maska;
	}
	
	cout << res;
		
	return 0;
}